* Disabled is missing from the original dataset, if redownloaded this part can be moved to file 01A
* This file imputes missing metro and missing homeland
* This file also creats large race categories and attaches them
* This file take xx time to run
clear

cd "C:\Users\bjb9185\Box Sync\PROJECTS\Projects\PROJECT - Seventh Generation\Gender Inequality\Analysis\DTA"
use "02A - IPUMS Cleaned 2000.dta", clear
foreach yyy in  2000 2001 2002 2003 2004 2005 2006 2007 2008 2009 2010 2011 2012 2013 2014 {
append using "02A - IPUMS Cleaned `yyy'.dta"
}

save "02B - IPUMS Cleaned 2000-2014.dta", replace

gen fips=state*1000+county

/*
logit metro i.race2 i.agegrp i.education i.fips
predict metro_r

gen metroi=0
replace metroi=1 if metro==. & metro_r!=.
label variable metroi "Metro Imputed (missing from 2001-2004)"

gen metroTEMP=metro
replace metroTEMP=0 if metro_r<.55 & metro==.
replace metroTEMP=1 if metro_r>=.55 & metro_r!=. & metro==.

logit homeland i.race2 i.agegrp i.education i.fips
predict homeland_r

gen homelandi=0
replace homelandi=1 if metro==. & metro_r!=.
label variable homelandi "Homeland Imputed (missing from 2001-2004)"

gen homeTEMP=homeland
replace homeTEMP=0 if homeland_r<.315 & homeland==.
replace homeTEMP=1 if homeland_r>=.315 & homeland_r!=. & homeland==.

replace metro=metroTEMP if metro==.
replace homeland=homeTEMP if homeland==.

replace rural=1-metro

drop homeland_r metro_r metroTEMP homeTEMP
*/

* Remove this line if want more years, but might need to impute
drop if year<2005

save "02C - IPUMS Imputed.dta", replace

use "02C - IPUMS Imputed.dta", clear

replace race1=1 if race1==3 & metro==1
replace race1=2 if race1==3 & metro==0
replace race1=7 if race1==5
replace race1=7 if race1==6

replace race2=1 if race2==3 & metro==1
replace race2=2 if race2==3 & metro==0
replace race2=7 if race2==5
replace race2=7 if race2==6

drop if race1!=2 & race1!=7 & race1!=1
save "03A - IPUMS Broad Races.dta", replace
append using "02C - IPUMS Imputed.dta"
save "03B - Gender Inequality 1.dta", replace



