* This file takes 6 hours to run
global DVARS metro rural nohomeland homeland male female unmarr marital ///
agegrp_1 agegrp_2 agegrp_3 agegrp_4 agegrp_5 agegrp_6 agegrp_7 agegrp_8 agegrp_9 agegrp_10 ///
lessHS HS college adult child nochild child5 child18 HHchild18 HHchild5 ///
multifam singleprt employed unemp disabled parttime ///
empHH multiempHH unempHH multiunempHH disableHH ///
occbroad_1 occbroad_2 occbroad_3 occbroad_4 occbroad_5 occbroad_6 ///
occbroad_7 occbroad_8 occbroad_9 occbroad_10 occbroad_11  ///
expgrp_1 expgrp_2 expgrp_3 expgrp_4 expgrp_5 

foreach time in 1 2 3 {
foreach yy in 1980 1990 2000 2001 2002 2003 2004 2005 2006 2007 2008 2009 2010 2011 2012 2013 2014 {
clear
set mem 13g
cd "C:\Users\bethi\Documents\RESEARCH PROJECTS\Projects\PROJECT - Seventh Generation\Seventh Generation (Book)\Analysis\Ch05 - Poverty\DTA"
use "02A - IPUMS Cleaned `yy'", clear

gen male=1-female
gen unmarr=1-marital
gen nochild=1-child18
gen nohomeland=1-homeland

keep $DVARS race`time' year pov100 pov150 pov200 povOVER perwt

foreach var in $DVARS {
gen m_`var'_100=pov100
replace m_`var'_100=. if `var'==0
}

collapse (mean) m_* [fw=perwt], by(race`time') fast
gen year=`yy'
save "03A - Poverty Composition `yy' Race`time'.dta", replace 
}
}


*** Reshape the data so that the chart looks right
foreach time in 1 2 3 {
foreach yy in 1980 1990 2000 2001 2002 2003 2004 2005 2006 2007 2008 2009 2010 2011 2012 2013 2014 {
cd "C:\Users\bethi\Documents\RESEARCH PROJECTS\Projects\PROJECT - Seventh Generation\Seventh Generation (Book)\Analysis\Ch05 - Poverty\DTA"
use "03A - Poverty Composition `yy' Race`time'.dta", clear
drop year
renpfix m_

set obs 10
replace race=0 if race==.

replace metro_100=1 if race==0
replace rural_100=2 if race==0
replace nohomeland_100=3 if race==0
replace homeland_100=4 if race==0
replace male_100=5 if race==0
replace female_100=6 if race==0
replace unmarr_100=7 if race==0
replace marital_100=8 if race==0
replace agegrp_1_100=9 if race==0
replace agegrp_2_100=10 if race==0
replace agegrp_3_100=11 if race==0
replace agegrp_4_100=12 if race==0
replace agegrp_5_100=13 if race==0
replace agegrp_6_100=14 if race==0
replace agegrp_7_100=15 if race==0
replace agegrp_8_100=16 if race==0
replace agegrp_9_100=17 if race==0
replace agegrp_10_100=18 if race==0
replace lessHS_100=19 if race==0
replace HS_100=20 if race==0
replace college_100=21 if race==0
replace adult_100=22 if race==0
replace child_100=23 if race==0
replace child5_100=24 if race==0
replace child18_100=. if race==0
replace nochild_100=25 if race==0
replace HHchild18_100=26 if race==0
replace HHchild5_100=27 if race==0
replace multifam_100=28 if race==0
replace singleprt_100=29 if race==0
replace employed_100=30 if race==0
replace unemp_100=31 if race==0
replace disabled_100=32 if race==0
replace parttime_100=33 if race==0
replace empHH_100=34 if race==0
replace multiempHH_100=35 if race==0
replace unempHH_100=36 if race==0
replace multiunempHH_100=37 if race==0
replace disableHH_100=38 if race==0
replace occbroad_1_100=39 if race==0
replace occbroad_2_100=40 if race==0
replace occbroad_3_100=41 if race==0
replace occbroad_4_100=42 if race==0
replace occbroad_5_100=43 if race==0
replace occbroad_6_100=44 if race==0
replace occbroad_7_100=45 if race==0
replace occbroad_8_100=46 if race==0
replace occbroad_9_100=47 if race==0
replace occbroad_10_100=. if race==0
replace occbroad_11_100=. if race==0
replace expgrp_1_100=48 if race==0
replace expgrp_2_100=49 if race==0
replace expgrp_3_100=50 if race==0
replace expgrp_4_100=51 if race==0
replace expgrp_5_100=52 if race==0


sort race
xpose, clear format

rename v1 NAMES
label define NAMES ///
1 "Metropolitan" ///
2 "Rural" ///
3 "Non-Reservation" ///
4 "Reservation" ///
5 "Male" ///
6 "Female" ///
7 "Not Married" ///
8 "Married" ///
9 "Less than 6" ///
10 "Age 6-12" ///
11 "Age 13-17" ///
12 "Age 18-25" ///
13 "Age 26-35" ///
14 "Age 36-45" ///
15 "Age 46-55" ///
16 "Age 56-65" ///
17 "Age 66-75" ///
18 "Over 75" ///
19 "Less than HS" ///
20 "HS Diploma" ///
21 "College" ///
22 "Adult" ///
23 "Child" ///
24 "Child Under 6" ///
25 "No Children in HH" ///
26 "Children Under 5 in HH" ///
27 "Children in HH" ///
28 "Multifamily HH" ///
29 "Single Parent" ///
30 "Employed" ///
31 "Unemployed" ///
32 "Disabled" ///
33 "Part-Time Worker" ///
34 "Unemployed Adult in HH" ///
35 "Multiple Employed Adult in HH" ///
36 "Employed Adult in HH" ///
37 "Multiple Unemployed Adult in HH" ///
38 "Disabled Worker in HH" ///
39 "Management & Business" ///
40 "Engineering & Science" ///
41 "Education, Legal & Arts" ///
42 "Healthcare Practitioners" ///
43 "Service" ///
44 "Sales & Office" ///
45 "Construction & Maintenance" ///
46 "Production" ///
47 "Transportation" ///
48 "Less than 5 Yrs" ///
49 "5-10 Years" ///
50 "11-15 Years" ///
51 "16-20 Years" ///
52 "More than 20 Years" , replace
label values NAMES NAMES

rename v2 UWhite
rename v3 RWhite	
rename v4 White
rename v5 Black
rename v6 Indian_Only
rename v7 Mixed_Race_Indian
rename v8 All_Indians
rename v9 XYZ
rename v10 Other

drop if NAMES==0
gen year=`yy'
save "03B - Poverty Composition Reshape`yy' Race`time'.dta", replace 
}
}


cd "C:\Users\bethi\Documents\RESEARCH PROJECTS\Projects\PROJECT - Seventh Generation\Seventh Generation (Book)\Analysis\Ch05 - Poverty\"
cd "C:\Users\bethi\Documents\"



graph dot (mean) White Indian_Only Black if year==2014 & (NAMES==19) | (NAMES==20) | (NAMES==21) ///
, over(NAMES, gap(1.2) label(labsize(small) labcolor(black))) ///
marker(1,  msymbol(circle) msize(large)) ///
marker(2, msymbol(square) msize(large)) ///
marker(3, msymbol(circle) msize(large)) ///
outergap(.5) ytitle("Probability") ///
legend(order(1 "White Only" 3 "Black Only" 2 "Indian Only") size(small) xoffset(9)) ///
title("Probability of Being in Poverty, by Race, 2014.", ///
pos(11) yoffset(3) xoffset(-2) size(medlarge)) ///
note("Note. Rates come from 1-year estimates of the American Community Survey.", ///
pos(7) xoffset(-18) yoffset(-2)  color("139 131 101"))  scheme(ReportWarm)
graph export "Probability of Being in Poverty 3.png", replace


graph dot (mean) White Indian_Only Black if year==2014 & (NAMES==22) | (NAMES==23) | (NAMES==24) | (NAMES==7) ///
| (NAMES==8) | (NAMES==25) | (NAMES==26) | (NAMES==27) ///
| (NAMES==28) | (NAMES==29) ///
, over(NAMES, gap(1.2) label(labsize(small) labcolor(black))) ///
marker(1,  msymbol(circle) msize(large)) ///
marker(2, msymbol(square) msize(large)) ///
marker(3, msymbol(circle) msize(large)) ///
outergap(.5) ytitle(Proportion in Poverty) ///
legend(order(1 "NH White" 3 "Black Only" 2 "Indian Only") size(small) xoffset(9)) ///
title("Probability of Being in Poverty, by Race, 2014.", ///
pos(11) yoffset(3) xoffset(-2)) ///
subtitle("Household Composition", pos(12)) ///
note("Note. Rates for 1980 come from Census 5 percent micro-sample. Rates come from 1-year estimates of the American Community Survey.", ///
pos(7) xoffset(-12) yoffset(-7))  scheme(ReportWarm)
graph export "Probability of Being in Poverty 4.png", replace



stop

graph dot (mean) NH_White Black All_Indians, over(NAMES, gap(40) label(labsize(small))) ///
marker(1, mcolor(gs9) msymbol(circle) msize(large) mlcolor(gs9)) ///
marker(2, mcolor(none) mlcolor(black) msize(large)) ///
marker(3, mcolor(black) msymbol(circle) mlcolor(black) msize(large)) ///
outergap(.5) ytitle(Proportion in Poverty) ///
legend(order(1 "NH White" 2 "Black Only" 3 "All Indians") size(small) xoffset(9)) ///
title("Figure 3. - Probability of Being in Poverty, by Race, 2013.", ///
pos(7) yoffset(3) xoffset(-2)) ///
note("Note. Rates come from 1-year estimates of the American Community Survey.", ///
pos(7) xoffset(-28) yoffset(-5)) ///
xsize(7.5) ysize(10) ylabel(0(.1).5, grid glcolor(gs9)) scale(.8)

graph save "C5F3 - Probability of Being in Poverty.gph", replace
graph export "C5F3 - Probability of Being in Poverty.png", replace


/*
cd "C:\Users\bethi\Documents\RESEARCH PROJECTS\Projects\PROJECT - Seventh Generation\Seventh Generation (Book)\Analysis\Ch05 - Poverty\DTA"
use "03B - Poverty Composition Reshape1980.dta", clear
append using "03B - Poverty Composition Reshape2013.dta"
cd "C:\Users\bethi\Documents\"

graph dot (mean) NH_White All_Indians Black if year==2013 & (NAMES==1) | (NAMES==2) | (NAMES==64) | (NAMES==65) | (NAMES==9) | (NAMES==10) | (NAMES==11) ///
, over(NAMES, gap(1.2) label(labsize(small))) ///
marker(1,  msymbol(circle) msize(large)) ///
marker(2, msymbol(square) msize(large)) ///
marker(3, msymbol(circle) msize(large)) ///
outergap(.5) ytitle(Proportion in Poverty) ///
legend(order(1 "NH White" 3 "Black Only" 2 "All Indians") size(small) xoffset(9)) ///
title("Probability of Being in Poverty, by Race, 2013.", ///
pos(11) yoffset(3) xoffset(-2)) ///
note("Note. Rates for 1980 come from Census 5 percent micro-sample. Rates come from 1-year estimates of the American Community Survey.", ///
pos(7) xoffset(-12) yoffset(-7))  scheme(ReportWarm)
graph export "C5F3_1 - Probability of Being in Poverty.png", replace


graph dot (mean) NH_White All_Indians Black if year==2013 &  (NAMES==3) | (NAMES==4) | (NAMES==5) | (NAMES==57) | (NAMES==59) | (NAMES==60) | (NAMES==14) | (NAMES==15) | (NAMES==17) | (NAMES==18)   ///
, over(NAMES, label(labsize(small)) axis(outergap(2.0)))  ///
marker(1,  msymbol(circle) msize(large) ) ///
marker(2, msymbol(square) msize(large)) ///
marker(3, msymbol(circle) msize(large)) ///
outergap(.5) ytitle(Proportion in Poverty) ///
legend(order(1 "NH White" 3 "Black Only" 2 "All Indians") size(small) xoffset(9)) ///
title("Probability of Being in Poverty, by Race, 2013.", ///
pos(11) yoffset(3) xoffset(-2)) ///
note("Note. Rates for 1980 come from Census 5 percent micro-sample. Rates come from 1-year estimates of the American Community Survey.", ///
pos(7) xoffset(-12) yoffset(-7))  scheme(ReportWarm)
graph export "C5F3_2 - Probability of Being in Poverty.png", replace







